#
# spec file for package libmusicbrainz4
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmusicbrainz4
%define _name   libmusicbrainz
Version:        4.0.3
Release:        15.3
Summary:        Library That Provides Access to the MusicBrainz Server
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://musicbrainz.org/doc/libmusicbrainz
Source0:        https://github.com/downloads/metabrainz/libmusicbrainz/%{_name}-%{version}.tar.gz
Source1:        baselibs.conf
Patch751656:    0001-Correct-inconsistent-licensing-text.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  neon-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable audio CD, MP3 and Vorbis players to
download metadata about the music they are playing.

%package -n libmusicbrainz4-3
Summary:        Library That Provides Access to the MusicBrainz Server
Group:          System/Libraries

%description -n libmusicbrainz4-3
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable audio CD, MP3 and Vorbis players to
download metadata about the music they are playing.

%package devel
Summary:        Library That Provides Access to the MusicBrainz Server
Group:          Development/Libraries/C and C++
Requires:       libmusicbrainz4-3 = %{version}
Requires:       libstdc++-devel

%description devel
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable audio CD, MP3 and Vorbis players to
download metadata about the music they are playing.

%prep
%setup -q -n %{_name}-%{version}
%patch751656 -p1

%build
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64"
CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64"
export CFLAGS
export CXXFLAGS
cmake \
	. \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64 \
%endif
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
	-DBUILD_SHARED_LIBS:BOOL=ON
make %{?_smp_mflags} VERBOSE=1

%check
export MALLOC_CHECK_=2 MALLOC_PERTURB_=$((${RANDOM:-256} % 256))
make %{?_smp_mflags} ctest
unset MALLOC_CHECK_ MALLOC_PERTURB_

%install
%make_install

%post -n libmusicbrainz4-3 -p /sbin/ldconfig

%postun -n libmusicbrainz4-3 -p /sbin/ldconfig

%files -n libmusicbrainz4-3
%defattr(-, root, root)
%doc AUTHORS.txt COPYING.txt NEWS.txt README.md
%{_libdir}/libmusicbrainz4.so.3*

%files devel
%defattr(-, root, root)
%doc examples/Makefile* examples/*.cc examples/*.c
%{_includedir}/musicbrainz4/
%{_libdir}/libmusicbrainz4.so
%{_libdir}/pkgconfig/libmusicbrainz4.pc

%changelog
* Wed Sep 12 2012 ohering@suse.de
- Correct inconsistent licensing text (bnc#751656)
* Sun Jun 10 2012 ohering@suse.de
- Update to 4.0.3
  Fix LMB-32 - Correctly ignore unrecognised nodes
  Don't compile using -Werror when building from tarball
* Wed May 16 2012 ohering@suse.de
- Update to 4.0.2
  Add extra attributes to Alias
  Add IPI lists to Artist and Label
  Add 'Ended' to Lifespan
  Add PrimaryType and SecondaryTypeList to ReleaseGroup
  Add text based track number to Track
  Add ISWC list to Work
  Debug builds show queries and responses on stderr
  Documentation updates
* Wed May  2 2012 ohering@suse.de
- Update to 4.0.1
  Fixed bug LMB-30 - Unable to access all relation lists on objects with multiple relation lists
  Fixed bug LMB-31 - mb_relationlist_get_targettype always returns "target-type"
* Sat Mar 24 2012 dimstar@opensuse.org
- Add libmusicbrainz4-gcc47.patch: Fix build with gcc 4.7.
* Sun Feb 26 2012 vuntz@opensuse.org
- Cleanup for inclusion in Factory:
  + Add copyright header.
  + Drop libmusicbrainz4-trunk.patch and
    libmusicbrainz4-update-trunk-patch.sh: remove setup to add
    patch for trunk, since it's unused, and I don't think it's
    needed anymore.
  + Remove libmusicbrainz4 Provides from libmusicbrainz4-3: there
    is already a libmusicbrainz4 binary package (from an earlier
    version of libmusicbrainz; because of the shared library
    packaging policy), and that would just create some confusion.
  + Fix baselibs.conf.
  + Run spec-cleaner.
* Tue Jan 17 2012 ohering@suse.de
- Update to 4.0.0
  Added support for collection list being returned as part of a release
* Wed Aug 10 2011 ohering@suse.de
- New version libmusicbrainz-4.0.0beta2
